GET /api/v202310/budget/{budgetId}/version/{versionId}/summary

Retrieves the summary for a specific version on a budget

GetBudgetVersionSummaryV202310 Permissions: BudgetsAndBudgetVersions (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
budgetId The identifier for the budget integer (int32) Required
versionId The identifier for the version being retrieved integer (int32) Required

Query Parameters

Name Description Type Required
commodityId The optional commodity filter integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BudgetVersionSummaryResponse
Property Description Type
budgetVersion BudgetVersionResponse
BudgetVersionResponse properties
Property Description Type
active If this is the active budget version boolean
budgetId The budget identifier integer (int32)
budgetVersionId The budget version identifier integer (int32)
budgetVersionInfo The budget version name string
hasBeenModified Flag that shows if this budget version has been modified beyond its initial state using budget worksheets boolean
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date when the version was modified string (date-time)
notes Notes for the budget string
totalBudget The total budget of the budget version number (double)
versionNumber The budget version number integer (int32)
dataDetails The data details BudgetVersionSummary[]
BudgetVersionSummary properties
Property Description Type
averageUnitCost The average unit cost number (double)
cost The cost number (double)
period Period integer (int32)
use ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
total BudgetVersionSummary
BudgetVersionSummary properties
Property Description Type
averageUnitCost The average unit cost number (double)
cost The cost number (double)
period Period integer (int32)
use ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
Example Response application/json
{  "budgetVersion": {    "active": false,    "budgetId": 1,    "budgetVersionId": 1,    "budgetVersionInfo": "string",    "hasBeenModified": false,    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "notes": "string",    "totalBudget": 1.0,    "versionNumber": 1
  },  "dataDetails": [
    {    "averageUnitCost": 1.0,    "cost": 1.0,    "period": 1,    "use": {      "unit": {},      "value": 1.0
    }
  }
  ],  "total": {    "averageUnitCost": 1.0,    "cost": 1.0,    "period": 1,    "use": {      "unit": {},      "value": 1.0
    }
  }
}